package erp

import (
	"github.com/gin-gonic/gin"
	"testData/model/response"
	"testData/repository/erp"
)

type ITestDataService interface {
}

type TestDataService struct{}

func InitTestDataService() *TestDataService {
	return &TestDataService{}
}

// @Tags 数据分析平台
// @Summary 测试文件导入-测试厂选项
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// -// @Param data body request.QuerySelection true "查询参数"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"操作成功"}"
// @Router /testData/import/testFile/factorySelection [get]
func (S *TestDataService) FactorySelection(c *gin.Context) {
	response.OkWithData(erp.GetFactorySelections(), c)
}
