package global

import (
	"github.com/emersion/go-imap/client"
	"go.mongodb.org/mongo-driver/mongo"
	"go.uber.org/zap"
	"gorm.io/gorm"
)

var (
	PostGreSQL *gorm.DB
	BaseDB     *gorm.DB
	Oracle     *gorm.DB
	MongoDB    *mongo.Client
	Log        *zap.SugaredLogger
	IMAP       *client.Client
)
