package initialization

import (
	"fmt"
	"gitee.com/golang-module/carbon/v2"
	"github.com/robfig/cron/v3"
	"log"
	"testData/global"
	test_data "testData/repository/test.data"
)

func InitCronListCron() {
	c := cron.New(cron.WithChain(cron.SkipIfStillRunning(cron.DefaultLogger)))
	//_, err := c.AddFunc("0 */1 * * *", func() {
	_, err := c.AddFunc("*/10 * * * *", func() {
		fmt.Println(carbon.Now().Format("Y-m-d H:i:s") + "CronListCron start")
		test_data.CronWaferList()
		test_data.CronABList()
		test_data.CronBPList()
		test_data.CronCPList()
		test_data.CronFTList()
		test_data.CronTRList()
		fmt.Println(carbon.Now().Format("Y-m-d H:i:s") + "CronListCron finish")
	})
	if err != nil {
		global.Log.Errorf("InitCronListCron AddFunc error: %s", err)
		log.Fatalln(err)
	}
	c.Start()
}
