package model

type Histogram struct {
	Field             string
	Average           float64
	StandardDeviation float64
	N                 float64
	Max               string
	Min               string
	X                 []string
	Y                 []string
}

type Scatter struct {
	Field string
	Datas [][]string
}

type ScatterLimit struct {
	Max string
	Min string
}

type Pie struct {
	Name  string `json:"name"`
	Value int    `json:"value"`
}

type Line struct {
	Name string
	X    []string
	Y    []string
}

type CPMap struct {
	X     string
	Y     string
	Field []Field
}

type Field struct {
	Name  string
	Value string
}

type BoxPlot struct {
	Name   string      `json:"name"`
	X      []string    `json:"x"`
	Values [][]float64 `json:"values"`
}
