package request

// Casbin info structure
type CasbinInfo struct {
	//ApiId  uint   `json:"api_id" validate:"required" label:"API—ID"` // API ID
	Path   string `json:"path" validate:"required" label:"路径"`   // 路径
	Method string `json:"method" validate:"required" label:"方法"` // 方法
}

// Casbin structure for input parameters
type CasbinInReceive struct {
	AuthorityId string       `json:"role_id" validate:"required" label:"权限id"` // 权限id
	KeyWord     string       `json:"key_word"`
	CasbinInfos []CasbinInfo `json:"apis"`
}
