package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitImportRouter(R *gin.RouterGroup) {
	importService := test_data.InitImportService()
	importGroup := R.Group("import")
	{
		importGroup.POST("testFile", importService.ImportTestFile)
		importGroup.POST("finalReport", importService.ImportFinalReport)
		importGroup.POST("finalReport/commit", importService.ImportFinalReportCommit)
	}
}
