package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitReportChartRouter(R *gin.RouterGroup) {
	reportChartService := test_data.InitReportChartService()
	reportChartGroup := R.Group("")
	{
		reportChartGroup.POST("report/packagePassProbabilityLine", reportChartService.PackagePassProbabilityLine)
		reportChartGroup.POST("report/packageOrderNumberBar", reportChartService.PackageOrderNumberBar)
		reportChartGroup.POST("report/fTPassProbabilityByFactory", reportChartService.FTPassProbabilityByFactory)
		reportChartGroup.POST("report/fTPassProbabilityByProduct", reportChartService.FTPassProbabilityByProduct)
		reportChartGroup.POST("report/passProbability", reportChartService.PassProbability)
		reportChartGroup.POST("report/binProbability", reportChartService.BinProbability)
	}
}
