package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitReportChartSelectionRouter(R *gin.RouterGroup) {
	reportChartService := test_data.InitReportChartSelectionService()
	reportChartSelectionGroup := R.Group("")
	{
		reportChartSelectionGroup.POST("report/probabilitySelection/product", reportChartService.GetProductSelection)
		reportChartSelectionGroup.POST("report/probabilitySelection/lot", reportChartService.GetLotSelection)
	}
}
