package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitReportListRouter(R *gin.RouterGroup) {
	reportListService := test_data.InitReportService()
	reportListGroup := R.Group("")
	{
		reportListGroup.POST("report/wafer", reportListService.WaferList)
		reportListGroup.POST("report/wafer/export", reportListService.ExportWaferList)
		reportListGroup.POST("report/ab", reportListService.ABList)
		reportListGroup.POST("report/ab/export", reportListService.ExportABList)
		reportListGroup.POST("report/bp", reportListService.BPList)
		reportListGroup.POST("report/bp/export", reportListService.ExportBPList)
		reportListGroup.POST("report/cp", reportListService.CPList)
		reportListGroup.POST("report/cp/export", reportListService.ExportCPList)
		reportListGroup.POST("report/ft", reportListService.FTList)
		reportListGroup.POST("report/ft/export", reportListService.ExportFTList)
		reportListGroup.POST("report/tr", reportListService.TRList)
		reportListGroup.POST("report/tr/export", reportListService.ExportTRList)
	}
}
