package model

type ExportFT struct {
	Product              string `json:"product"`                // 成品型号
	Lot                  string `json:"lot"`                    // 批号
	PBI                  string `json:"pbi"`                    // PBI(订单号)
	Factory              string `json:"factory"`                // 测试厂
	TestProgram          string `json:"test_program"`           // 测试程序
	OrderDate            string `json:"order_date"`             // 下单日期(订单日期)
	Seal                 string `json:"seal"`                   // 丝印
	FinalTestQuantity    string `json:"final_test_quantity"`    // 结批测试数量
	FinalPassQuantity    string `json:"final_pass_quantity"`    // 结批良品数量
	FinalPassProbability string `json:"final_pass_probability"` // 结批良率
	FirstPassQuantity    string `json:"first_pass_quantity"`    // 初测良品数量
	FirstPassProbability string `json:"first_pass_probability"` // 初测良率
	TestQuantity         string `json:"test_quantity"`          // 测试数量
	PassQuantity         string `json:"pass_quantity"`          // 良品数量(包括回收数据)
	PassProbability      string `json:"pass_probability"`       // 良率(包括回收数据)
	ReturnProbability    string `json:"return_probability"`     // 回收率
	TestQuantityDiff     string `json:"test_quantity_diff"`     // 测试数量差异
	PassQuantityDiff     string `json:"pass_quantity_diff"`     // 良品数量差异
	HardBinState         string `json:"hard_bin_state"`         // 硬件Bin
	SiteDiffState        string `json:"site_diff_state"`        // SITE差异
	StackingMaterials    string `json:"stacking_materials"`     // 叠料风险
}
