package test_data

import (
	"testData/model"
	reader2 "testData/repository/report_reader"
	"testData/request"
)

func ImportSTS8200(fileText *model.FileText) {
}

func ImportFinalReport(r *request.ImportFinalReport) {
	if r.Step == "FT" {
		if r.Factory == "赛美科" {
			reader2.FTSMCReportReader(r.FilePath)
		} else if r.Factory == "长电" {
			reader2.FTSuQianChangDianReportReader(r.FilePath)
		} else if r.Factory == "气派" {
			reader2.FTQiPaiReportReader(r.FilePath)
		} else if r.Factory == "睿思" {
			reader2.FTRuiSiReportReader(r.FilePath)
		} else if r.Factory == "芯德" {
			reader2.FTXinDeReportReader(r.FilePath)
		}
	} else if r.Step == "CP" {
		if r.Factory == "赛美科" {
			reader2.CPSMCReportReader(r.FilePath)
		} else if r.Factory == "圆方" {
			reader2.CPYuanFangReportReader(r.FilePath)
		} else if r.Factory == "育诚" {
			reader2.CPYuChengReportReader(r.FilePath)
		}
	}

}
