package repository

import (
	"errors"
	"testData/global"
	"testData/model"
)

// 用户中心 通过ID获取用户信息
func GetUserByID(id uint) (err error, user *model.User) {
	var u model.User
	if err = global.BaseDB.Preload("Department").Preload("Departments").Preload("Position").Preload("Role").First(&u, id).Error; err != nil {
		return errors.New("用户不存在"), &u
	}
	if !u.Active {
		return errors.New("账号已被取消激活,若有疑问请联系管理员"), nil
	}
	return nil, &u
}
