package request

type CreateFinalReportExcel struct {
	Step                 string `json:"step"`                   // 工序
	Product              string `json:"product"`                // 成品型号
	Lot                  string `json:"lot"`                    // 晶圆批次
	Factory              string `json:"factory"`                // 测试厂
	TestProgram          string `json:"test_program"`           // 测试程序
	PBI                  string `json:"pbi"`                    // PBI
	OrderDate            string `json:"order_date"`             // 下单日期
	Seal                 string `json:"seal"`                   // 丝印
	FinalTestQuantity    string `json:"final_test_quantity"`    // 结批测试数量
	FinalPassQuantity    string `json:"final_pass_quantity"`    // 结批良品数量
	FinalPassProbability string `json:"final_pass_probability"` // 结批良率
	Bin1                 string `json:"bin1"`
	Bin2                 string `json:"bin2"`
	Bin3                 string `json:"bin3"`
	Bin4                 string `json:"bin4"`
	Bin5                 string `json:"bin5"`
	Bin6                 string `json:"bin6"`
	Bin7                 string `json:"bin7"`
	Bin8                 string `json:"bin8"`
	Bin9                 string `json:"bin9"`
	Bin10                string `json:"bin10"`
	OutlookFail          string `json:"outlook_fail"` // 外观不良
	Other                string `json:"other"`        // 少数
	BentStitch           string `json:"bent_stitch"`  // 弯脚
	Scrapped             string `json:"scrapped"`     // 报废
}

type UpdateFinalReportExcel struct {
	DeleteFinalReportExcel
	CreateFinalReportExcel
}

type DeleteFinalReportExcel struct {
	ID int64 `json:"id"`
}
