package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitChartSelectionRouter(R *gin.RouterGroup) {
	chartSelectionService := test_data.InitChartSelectionService()
	chartSelectionGroup := R.Group("chart")
	{
		chartSelectionGroup.POST("productSelection", chartSelectionService.ProductSelection)
		chartSelectionGroup.POST("lotSelection", chartSelectionService.LotSelection)
		chartSelectionGroup.POST("pbiSelection", chartSelectionService.PBISelection)
	}
}
