package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitFinalReportExcelRouter(R *gin.RouterGroup) {
	finalReportExcelService := test_data.InitFinalReportExcelService()
	finalReportGroup := R.Group("finalReport")
	{
		finalReportGroup.POST("excel", finalReportExcelService.Create)
		finalReportGroup.PUT("excel", finalReportExcelService.Update)
		finalReportGroup.GET("excel", finalReportExcelService.ShowList)
		finalReportGroup.DELETE("excel", finalReportExcelService.Delete)
	}
}
