package router

import (
	"github.com/gin-gonic/gin"
	test_data "testData/api/test.data"
)

func InitWarningRouter(R *gin.RouterGroup) {
	warningService := test_data.InitWarningService()
	warningGroup := R.Group("warning")
	{
		warningGroup.POST("", warningService.Update)
		warningGroup.GET("", warningService.ShowList)
		warningGroup.DELETE("", warningService.Delete)
	}
}
